package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSPlatformInfo;

@ObfuscatedName("sb")
public class PlatformInfo extends Node implements RSPlatformInfo {
   @ObfuscatedName("bg")
   @ObfuscatedGetter(
      intValue = 573770851
   )
   int os;
   @ObfuscatedName("ba")
   boolean arch64;
   @ObfuscatedName("bm")
   @ObfuscatedGetter(
      intValue = -1183795873
   )
   int osVersion;
   @ObfuscatedName("bp")
   @ObfuscatedGetter(
      intValue = 1769216281
   )
   int vendor;
   @ObfuscatedName("bw")
   @ObfuscatedGetter(
      intValue = 22239183
   )
   int javaMajor;
   @ObfuscatedName("bj")
   @ObfuscatedGetter(
      intValue = -1727264349
   )
   int javaMinor;
   @ObfuscatedName("bn")
   @ObfuscatedGetter(
      intValue = 169278833
   )
   int javaPatch;
   @ObfuscatedName("bo")
   boolean field4524;
   @ObfuscatedName("bt")
   @ObfuscatedGetter(
      intValue = -1737818385
   )
   int maxMemory;
   @ObfuscatedName("bu")
   @ObfuscatedGetter(
      intValue = -1827301789
   )
   int cpuCores;
   @ObfuscatedName("bh")
   @ObfuscatedGetter(
      intValue = -944630579
   )
   int field4527;
   @ObfuscatedName("bz")
   @ObfuscatedGetter(
      intValue = -2071056303
   )
   int clockSpeed;
   @ObfuscatedName("bc")
   String field4536;
   @ObfuscatedName("bs")
   String field4514;
   @ObfuscatedName("bx")
   String field4528;
   @ObfuscatedName("bb")
   String field4532;
   @ObfuscatedName("bk")
   @ObfuscatedGetter(
      intValue = 1248614073
   )
   int field4512;
   @ObfuscatedName("br")
   @ObfuscatedGetter(
      intValue = -1619244905
   )
   int field4534;
   @ObfuscatedName("bq")
   @ObfuscatedGetter(
      intValue = -2095679823
   )
   int field4535;
   @ObfuscatedName("cf")
   @ObfuscatedGetter(
      intValue = -1054492559
   )
   int field4530;
   @ObfuscatedName("cg")
   String field4537;
   @ObfuscatedName("cv")
   String field4538;
   @ObfuscatedName("cx")
   int[] field4539;
   @ObfuscatedName("cp")
   @ObfuscatedGetter(
      intValue = -1805875485
   )
   int field4540;
   @ObfuscatedName("ce")
   String field4541;
   @ObfuscatedName("ci")
   String field4542;

   PlatformInfo(int var1, boolean var2, int var3, int var4, int var5, int var6, int var7, boolean var8, int var9, int var10, int var11, int var12, String var13, String var14, String var15, String var16, int var17, int var18, int var19, int var20, String var21, String var22, int[] var23, int var24, String var25, String var26) {
      this.field4539 = new int[3];
      this.os = var1;
      this.arch64 = var2;
      this.osVersion = var3;
      this.vendor = var4;
      this.javaMajor = var5;
      this.javaMinor = var6;
      this.javaPatch = var7;
      this.field4524 = var8;
      this.maxMemory = var9;
      this.cpuCores = var10;
      this.field4527 = var11;
      this.clockSpeed = var12;
      this.field4536 = var13;
      this.field4514 = var14;
      this.field4528 = var15;
      this.field4532 = var16;
      this.field4512 = var17;
      this.field4534 = var18;
      this.field4535 = var19;
      this.field4530 = var20;
      this.field4537 = var21;
      this.field4538 = var22;
      this.field4539 = var23;
      this.field4540 = var24;
      this.field4541 = var25;
      this.field4542 = var26;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Luj;I)V",
      garbageValue = "1412255226"
   )
   public void method8636(Buffer var1) {
      var1.writeByte_base(9);
      var1.writeByte_base(this.os);
      var1.writeByte_base(this.arch64?1:0);
      var1.writeShort_base(this.osVersion);
      var1.writeByte_base(this.vendor);
      var1.writeByte_base(this.javaMajor);
      var1.writeByte_base(this.javaMinor);
      var1.writeByte_base(this.javaPatch);
      var1.writeByte_base(this.field4524?1:0);
      var1.writeShort_base(this.maxMemory);
      var1.writeByte_base(this.cpuCores);
      var1.writeMedium_base(this.field4527);
      var1.writeShort_base(this.clockSpeed);
      var1.writeStringCp1252NullCircumfixed_base(this.field4536);
      var1.writeStringCp1252NullCircumfixed_base(this.field4514);
      var1.writeStringCp1252NullCircumfixed_base(this.field4528);
      var1.writeStringCp1252NullCircumfixed_base(this.field4532);
      var1.writeByte_base(this.field4534);
      var1.writeShort_base(this.field4512);
      var1.writeStringCp1252NullCircumfixed_base(this.field4537);
      var1.writeStringCp1252NullCircumfixed_base(this.field4538);
      var1.writeByte_base(this.field4535);
      var1.writeByte_base(this.field4530);

      for(int var2 = 0; var2 < this.field4539.length; ++var2) {
         var1.writeInt_base(this.field4539[var2]);
      }

      var1.writeInt_base(this.field4540);
      var1.writeStringCp1252NullCircumfixed_base(this.field4541);
      var1.writeStringCp1252NullCircumfixed_base(this.field4542);
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(I)I",
      garbageValue = "2077819620"
   )
   public int size_base() {
      byte var1 = 39;
      String var4 = this.field4536;
      int var3 = var4.length() + 2;
      int var26 = var1 + var3;
      String var7 = this.field4514;
      int var6 = var7.length() + 2;
      var26 += var6;
      String var10 = this.field4528;
      int var9 = var10.length() + 2;
      var26 += var9;
      String var13 = this.field4532;
      int var12 = var13.length() + 2;
      var26 += var12;
      String var16 = this.field4537;
      int var15 = var16.length() + 2;
      var26 += var15;
      String var19 = this.field4538;
      int var18 = var19.length() + 2;
      var26 += var18;
      String var22 = this.field4541;
      int var21 = var22.length() + 2;
      var26 += var21;
      String var25 = this.field4542;
      int var24 = var25.length() + 2;
      var26 += var24;
      return var26;
   }

   public int getOs() {
      return this.os;
   }

   public void setOs(int var1) {
      this.os = var1;
   }

   public boolean isArch64() {
      return this.arch64;
   }

   public void setArch64(boolean var1) {
      this.arch64 = var1;
   }

   public int getOsVersion() {
      return this.osVersion;
   }

   public void setOsVersion(int var1) {
      this.osVersion = var1;
   }

   public int getVendor() {
      return this.vendor;
   }

   public void setVendor(int var1) {
      this.vendor = var1;
   }

   public int getJavaMajor() {
      return this.javaMajor;
   }

   public void setJavaMajor(int var1) {
      this.javaMajor = var1;
   }

   public int getJavaMinor() {
      return this.javaMinor;
   }

   public void setJavaMinor(int var1) {
      this.javaMinor = var1;
   }

   public int getJavaPatch() {
      return this.javaPatch;
   }

   public void setJavaPatch(int var1) {
      this.javaPatch = var1;
   }

   public int getMaxMemory() {
      return this.maxMemory;
   }

   public void setMaxMemory(int var1) {
      this.maxMemory = var1;
   }

   public int getCpuCores() {
      return this.cpuCores;
   }

   public void setCpuCores(int var1) {
      this.cpuCores = var1;
   }

   public int getClockSpeed() {
      return this.clockSpeed;
   }

   public void setClockSpeed(int var1) {
      this.clockSpeed = var1;
   }
}
